## OGMDvdChapterList

OGMDvdChapterList — A widget that lists the chapters of a DVD title

## Functions

GtkWidget * | ogmdvd_chapter_list_new ()
void | ogmdvd_chapter_list_clear ()
void | ogmdvd_chapter_list_set_title ()
OGMDvdTitle * | ogmdvd_chapter_list_get_title ()
void | ogmdvd_chapter_list_set_label ()
gchar * | ogmdvd_chapter_list_get_label ()

## Properties

gpointer | title | Read / Write

## Types and Values

struct | OGMDvdChapterList

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTreeView
                            ╰── OGMDvdChapterList

## Implemented Interfaces

OGMDvdChapterList implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <ogmdvd-chapter-list.h>

## Description

## Functions

### ogmdvd_chapter_list_new ()

    GtkWidget *
    ogmdvd_chapter_list_new (void);

Creates a new empty OGMDvdChapterList.

#### Returns

The new OGMDvdChapterList

### ogmdvd_chapter_list_clear ()

    void
    ogmdvd_chapter_list_clear (OGMDvdChapterList *list);

Removes all entries of the OGMDvdChapterList.

#### Parameters

list | An OGMDvdChapterList |

### ogmdvd_chapter_list_set_title ()

    void
    ogmdvd_chapter_list_set_title (OGMDvdChapterList *list,
                                   OGMDvdTitle *title);

Adds to the list the chapters of the given OGMDvdTitle.

#### Parameters

list | An OGMDvdChapterList |
title | An OGMDvdTitle |

### ogmdvd_chapter_list_get_title ()

    OGMDvdTitle *
    ogmdvd_chapter_list_get_title (OGMDvdChapterList *list);

Returns the OGMDvdTitle which was passed to `ogmdvd_chapter_list_set_title()`.

#### Parameters

list | An OGMDvdChapterList |

#### Returns

An OGMDvdTitle

### ogmdvd_chapter_list_set_label ()

    void
    ogmdvd_chapter_list_set_label (OGMDvdChapterList *list,
                                   guint chapter,
                                   const gchar *label);

Sets the label of the given chapter.

#### Parameters

list | An OGMDvdChapterList |
chapter | A chapter number |
label | The label of the chapter |

### ogmdvd_chapter_list_get_label ()

    gchar *
    ogmdvd_chapter_list_get_label (OGMDvdChapterList *list,
                                   guint chapter);

Returns the label of the given chapter.

#### Parameters

list | An OGMDvdChapterList |
chapter | A chapter number |

#### Returns

The chapter's label

## Types and Values

### struct OGMDvdChapterList

    struct OGMDvdChapterList;

## Property Details

### The `“title”` property

      “title”                    gpointer

The DVD title.

Flags: Read / Write